#
# spec file for package python-scdl
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-scdl
Version:        1.6.3
Release:        1.6
License:        GPL-2.0
Summary:        Download Music from Soundcloud
Url:            https://github.com/flyingrub/scdl
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/s/scdl/scdl-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-docopt
Requires:       python3-mutagen
Requires:       python3-clint
Requires:       python3-termcolor
Requires:       python3-requests
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This script is able to download music from http://www.soundcloud.com and set
id3tag to the downloaded music.

%prep
%setup -q -n scdl-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python3_sitelib}/*
%{_bindir}/scdl

%changelog
* Tue Feb 21 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.3:
  * Fix update
- changes from version 1.6.3:
  * Fix the download when there is no download left of the original
    file
* Wed Sep 28 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.1:
  * [FIX] Token
- changes from version 1.6:
  * [ADD] Support Auth Token
  * Use client_id better in URLs and download original properly
  * update readme
- changes from version 1.5.3:
  * [FIX] Access Token
  * [FEATURE] Added --min-size and --max-size options.
  * fix windows special characters
  * Windows charmap fix
  * [FIX] get item loop
  * [FIX] hide progress
  * [FIX] Decode playlist name
* Sun Jul  3 2016 arun@gmx.de
- specfile:
  * update copyright year
  * update dependencies: remove six, soundcloud, wget; add clint
- update to version 1.5.2:
  * [FIX] Remove soundcloud from our dependencies
  * [FIX] Unauthorized Download
  * [FIX] Typo
  * Fix downloading all track with '-a'
  * [FIX] README
  * Remove soundcloud libs
  * Use tempfile
- changes from version 1.5.0-3:
  * Fix download
  * fixing spelling error
- changes from version 1.5.0-2:
  * Fix auth_token
  * Fix quotes on original track
  * Remove pypandoc
  * Try to have a correct pipy page
  * Readme: Add Exemples
  * Update Readme
  * Fix: PEP 8
  * Introduce: Use our own library instead of Soundcloud
  * Fix Pep8 warnings
  * Fix: Playlist
  * Fixes
  * Requests everywhere : Need testing
  * Multiple Fixes
  * Use single quote strings by convention
  * Basic code cleanup (avoid hardcoding \n, use single quote string
    by convention, use with statement to handle files, ...)
  * Use with statement
  * Fix PEP-8 warning
  * Remove six from requirements
  * Embed README into package's long description
  * Fix #102 Handle linked partitioning
  * Fix PEP-8 warnings
  * Use "pythonic" while something instead of while "still" something
  * Fixed version goof-up
  * Update scdl.py
  * Update setup.py
  * Fix Offset on playlist
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Jan 16 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.4.1:
  * Generates m3u playlist files
  * fix getting user tracks (-a option)
  * Fix Album image on Android
* Wed Nov 11 2015 hpj@urpla.net
- add missing runtime requirements
* Wed Nov 11 2015 hpj@urpla.net
- version 1.4.0b1: initial build
